Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport.impl.state
Class PausedPlay<T extends AVTransport>

    java.lang.Object
      org.teleal.cling.support.avtransport.impl.state.AbstractState
          org.teleal.cling.support.avtransport.impl.state.PausedPlay<T>

    public abstract class PausedPlay<T extends AVTransport>

extends AbstractState

Author:
  Christian Bauer

Constructor Summary
`PausedPlay(T transport)`

Method Summary
`TransportAction[]` | `getCurrentTransportActions()`
`void` | `onEntry()`
`abstract Class<? extends AbstractState>` | `play(String speed)`
`abstract Class<? extends AbstractState>` | `setTransportURI(URI uri, String metaData)`
`abstract Class<? extends AbstractState>` | `stop()`

Methods inherited from class org.teleal.cling.support.avtransport.impl.state.AbstractState
`getTransport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PausedPlay

    public PausedPlay(T transport)

Method Detail

### onEntry

    public void onEntry()

### setTransportURI

    public abstract Class<? extends AbstractState> setTransportURI(URI uri,
                                                                   String metaData)

### stop

    public abstract Class<? extends AbstractState> stop()

### play

    public abstract Class<? extends AbstractState> play(String speed)

### getCurrentTransportActions

    public TransportAction[] getCurrentTransportActions()

  Specified by:
    `getCurrentTransportActions` in class `AbstractState`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.